> For the complete documentation index, see [llms.txt](https://apidocs.cloudinvoice.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.cloudinvoice.net/documentacao-api/clientes/get.md).

# Get

## Obter Cliente

## Devolve Cliente a partir do seu :id.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/customers/:id/`

#### Path Parameters

| Name                                 | Type    | Description     |
| ------------------------------------ | ------- | --------------- |
| id<mark style="color:red;">\*</mark> | integer | O ID do Cliente |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/customers/1/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
    "id": 1,
    "code": 1,
    "external_code": "",
    "customer_name": "Cliente Demo",
    "commercial_name": "",
    "fiscal_number": "999999990",
    "street1": "",
    "street2": "",
    "zip_code": "",
    "zip_locale": "",
    "city": "",
    "contact1": "",
    "job_title1": "",
    "phone1": "",
    "email1": "",
    "mobile1": "",
    "fax1": "",
    "web_address": "",
    "is_vat_exempt": false,
    "global_discount1": 0.0,
    "line_discount1": 0.0,
    "line_discount2": 0.0,
    "line_discount3": 0.0,
    "total_debits": 0.0,
    "total_credits": 0.0,
    "current_balance": 0.0,
    "party_class_id": 1601,
    "fiscal_country_id": 1,
    "fiscal_country": {
        "code": "PT",
        "country_name": "Portugal"
    },
    "country_id": 1,
    "country": {
        "code": "PT",
        "country_name": "Portugal"
    },
    "district_id": null,
    "district": null,
    "locality_id": null,
    "locality": null,
    "tax_region_id": 1,
    "tax_region": {
        "code": "PT",
        "description": "Continente"
    },
    "tax_zone_id": 21,
    "currency_id": 1,
    "currency": {
        "code": "EUR",
        "description": "Euros"
    },
    "fiscal_status_type_id": 1592,
    "vat_exempt_tax_exemption_id": null,
    "vat_exempt_tax_exemption": null,
    "payment_term_id": null,
    "payment_term": null,
    "payment_method_id": null,
    "payment_method": null,
    "price_line_id": null,
    "price_line": null,
    "party_class": {
        "code": "C",
        "description": "Cliente"
    },
    "fiscal_status_type": {
        "code": "1",
        "description": "Consumidor final"
    },
    "tax_zone": {
        "code": "N",
        "description": "Mercado Nacional"
    }
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)
